% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/splot-polygons.R
\name{get_donut_base_vertices}
\alias{get_donut_base_vertices}
\title{Get Polygon Vertices by Shape Name}
\usage{
get_donut_base_vertices(shape, x, y, r)
}
\arguments{
\item{shape}{Shape name.}

\item{x}{Center x coordinate.}

\item{y}{Center y coordinate.}

\item{r}{Radius/size.}
}
\value{
List with x, y vectors of vertices.
}
\description{
Returns outer polygon vertices for donut ring shapes.
}
\keyword{internal}
